<?
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
only_reg();


// Удаление блокнота 
if (isset($_GET['delete']))
{
	$notebook = mysql_fetch_assoc(mysql_query("SELECT * FROM `notebook` WHERE `id` = '" . intval($_GET['delete']) . "' LIMIT 1"));
	
	if ($notebook['id_user'] == $user['id'])
	{
		mysql_query("DELETE FROM `notebook` WHERE `id` = '$notebook[id]' LIMIT 1");
		$_SESSION['message'] = 'Запись успешно удалена';
		header('Location: ?');
		exit;		
	}
}

$set['title'] = 'Личный блокнот';
include_once '../../sys/inc/thead.php';
title();
aut();

echo '<div class="foot">';
echo '<img src="/style/icons/str2.gif" alt="*" /> <a href="/info.php?id=' . $user['id'] . '">' . $user['nick'] . '</a> | <b>Блокнот</b>';
echo '</div>';

echo '<div class="nav2">';
echo 'Здесь вы можете хранить текстовые записи, которые никто кроме вас не увидит, если только вы Сами не дадите на запись ссылку. | <img src="/style/icons/pen2.png" alt="*" /> <a href="create.php?add">Написать</a>';
echo '</div>';

// Колличество записей
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `notebook` WHERE `id_user` = '$user[id]'"),0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

if ($k_post == 0)
{
	echo '<div class="mess">';
	echo 'Cписок записей пуст';
	echo '</div>';
}

$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];
$q = mysql_query("SELECT * FROM `notebook` WHERE `id_user` = '$user[id]' ORDER BY `time` LIMIT $start, $set[p_str]");

while ($post = mysql_fetch_assoc($q))
{
	/*-----------зебра-----------*/ 
	if ($num == 0)
	{
		echo '<div class="nav1">';
		$num = 1;
	}	
	elseif ($num == 1)
	{
		echo '<div class="nav2">';
		$num = 0;
	}
	/*---------------------------*/

	echo '<img src="/style/icons/note.png" alt="*" /> ';
	echo '<a href="/note' . $post['key'] . '"><b>' . $post['name'] . '</b></a> [' . vremja($post['time']) . '] ';
	echo '<a href="create.php?edit=' . $post['id'] . '"><img src="/style/icons/edit.gif" /></a> <a href="?delete=' . $post['id'] . '"><img src="/style/icons/delete.gif" /></a><br />';
	echo '<div style="display: block;overflow: hidden; max-height:52px;">' . output_text($post['msg']) . '</div>';
	echo '</div>';
}

echo '<div class="foot">';
echo '<img src="/style/icons/str2.gif" alt="*" /> <a href="/info.php?id=' . $user['id'] . '">' . $user['nick'] . '</a> | <b>Блокнот</b>';
echo '</div>';

include_once '../../sys/inc/tfoot.php';
?>